package com.bonus.system.mapper;

import com.bonus.system.api.model.SbdUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 送变电业务 数据层
 * @author 黑子
 */
@Mapper
public interface SbdUserMapper {
    /**
     * 查询项目部用户人员信息登录
     * @param username
     * @return
     */
    SbdUser getDcUserInfo(@Param("userName") String username);

    /**
     * 依据用户id查询工程信息
     * @param user
     * @return
     */
    List<SbdUser> getUserRoleByPro(SbdUser user);

    /**
     * 依据角色编码查询 角色
     * @param role
     * @return
     */
    List<String> getRoleIdByCode(@Param("list") List<SbdUser> role);

    /**
     * 依据角色编码查询 角色
     * @param roleKey
     * @return
     */
    List<String> getRoleIdByCodeKey(@Param("roleKey") String  roleKey);

    /**
     * 查询技术员角色
     * @param user
     * @return
     */
    int getJsyUserRole(SbdUser user);

    /**
     * 查询送变电
     * @param username
     * @return
     */
    SbdUser getSbdUser(@Param("userName") String username);

    /**
     * 查询 部门信息
     * @param user
     * @return
     */
    SbdUser getDeptById(SbdUser user);

    /**
     * 查询用户角色岗位
     * @param user
     * @return
     */
    List<String> getUserPost(SbdUser user);

    /**
     * 查询分公司id
     * @param user
     * @return
     */
    Long getBonusDeptId(SbdUser user);
}
